# Serialized Form

## Package org.apache.sling.launchpad.base.impl.bootstrapcommands

### Exception Class org.apache.sling.launchpad.base.impl.bootstrapcommands.Command.ParseException

class ParseException extends IOException implements Serializable

## Package org.apache.sling.launchpad.base.webapp

### Class org.apache.sling.launchpad.base.webapp.SlingServletDelegate

class SlingServletDelegate extends jakarta.servlet.GenericServlet implements Serializable

serialVersionUID:
  1L

#### Serialized Fields

##### delegatee

    jakarta.servlet.Servlet delegatee

The delegatee servlets to which requests are delegated.

##### notifiable

    Notifiable notifiable

##### properties

    Map<String,String> properties

##### servletDestroyed

    boolean servletDestroyed

Flag set by the `SlingServletDelegate.destroy()` method to indicate the servlet has been destroyed. This flag is used by the `SlingServletDelegate.init()` method to check whether the SlingServletDelegate has been destroyed while Sling was starting up.

##### sling

    Sling sling

The OSGI framework instance loaded on `SlingServletDelegate.init()` and stopped on `SlingServletDelegate.destroy()`.

##### slingHome

    String slingHome

## Package org.apache.sling.launchpad.webapp

### Class org.apache.sling.launchpad.webapp.SlingServlet

class SlingServlet extends jakarta.servlet.GenericServlet implements Serializable

#### Serialized Fields

##### loader

    Loader loader

##### properties

    Map<String,String> properties

##### sling

    jakarta.servlet.Servlet sling

##### slingHome

    String slingHome

##### startFailureCounter

    int startFailureCounter

Counter to count the number of failed startups. After this number expires, the SlingServlet will not try to start Sling any more.

##### startingSling

    Thread startingSling

Field managed by the `SlingServlet.startSling(ServletRequest)` method to indicate whether Sling is in the process of being started.